For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Pods
      • GETGet Pod
      • POSTCreate Pod
      • DELDelete Pod
        • GETList API Keys
        • POSTCreate API Key
        • DELDelete API Key
LogoLogo
contact@agentmail.ccDiscord
API ReferencePodsAPI Keys

List API Keys

GET
/v0/pods/:pod_id/api-keys
GET
/v0/pods/:pod_id/api-keys
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.pods.api_keys.list(
8 pod_id="pod_id",
9)
1{
2 "count": 1,
3 "api_keys": [
4 {
5 "api_key_id": "api_key_id",
6 "prefix": "prefix",
7 "name": "name",
8 "created_at": "2024-01-15T09:30:00Z",
9 "pod_id": "pod_id",
10 "inbox_id": "inbox_id",
11 "used_at": "2024-01-15T09:30:00Z",
12 "permissions": {
13 "inbox_read": true,
14 "inbox_create": true,
15 "inbox_update": true,
16 "inbox_delete": true,
17 "thread_read": true,
18 "thread_delete": true,
19 "message_read": true,
20 "message_send": true,
21 "message_update": true,
22 "label_spam_read": true,
23 "label_blocked_read": true,
24 "label_trash_read": true,
25 "draft_read": true,
26 "draft_create": true,
27 "draft_update": true,
28 "draft_delete": true,
29 "draft_send": true,
30 "webhook_read": true,
31 "webhook_create": true,
32 "webhook_update": true,
33 "webhook_delete": true,
34 "domain_read": true,
35 "domain_create": true,
36 "domain_update": true,
37 "domain_delete": true,
38 "list_entry_read": true,
39 "list_entry_create": true,
40 "list_entry_delete": true,
41 "metrics_read": true,
42 "api_key_read": true,
43 "api_key_create": true,
44 "api_key_delete": true,
45 "pod_read": true,
46 "pod_create": true,
47 "pod_delete": true
48 }
49 },
50 {
51 "api_key_id": "api_key_id",
52 "prefix": "prefix",
53 "name": "name",
54 "created_at": "2024-01-15T09:30:00Z",
55 "pod_id": "pod_id",
56 "inbox_id": "inbox_id",
57 "used_at": "2024-01-15T09:30:00Z",
58 "permissions": {
59 "inbox_read": true,
60 "inbox_create": true,
61 "inbox_update": true,
62 "inbox_delete": true,
63 "thread_read": true,
64 "thread_delete": true,
65 "message_read": true,
66 "message_send": true,
67 "message_update": true,
68 "label_spam_read": true,
69 "label_blocked_read": true,
70 "label_trash_read": true,
71 "draft_read": true,
72 "draft_create": true,
73 "draft_update": true,
74 "draft_delete": true,
75 "draft_send": true,
76 "webhook_read": true,
77 "webhook_create": true,
78 "webhook_update": true,
79 "webhook_delete": true,
80 "domain_read": true,
81 "domain_create": true,
82 "domain_update": true,
83 "domain_delete": true,
84 "list_entry_read": true,
85 "list_entry_create": true,
86 "list_entry_delete": true,
87 "metrics_read": true,
88 "api_key_read": true,
89 "api_key_create": true,
90 "api_key_delete": true,
91 "pod_read": true,
92 "pod_create": true,
93 "pod_delete": true
94 }
95 }
96 ],
97 "next_page_token": "next_page_token"
98}
**CLI:** ```bash agentmail pods:api-keys list --pod-id <pod_id> ```
Was this page helpful?
Previous

Create API Key

Next
Built with

CLI:

$agentmail pods:api-keys list --pod-id <pod_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.

Response

This endpoint returns an object.
countinteger
Number of items returned.
api_keyslist of objects

Ordered by created_at descending.

next_page_tokenstring
Page token for pagination.

Errors

404
Not Found Error